Bug 23688 - XFree86-4.0.2/R128: Fatal server error -no screens found ... 4.0.1a is ok
XFree86-4.0.2/R128: Fatal server error -no screens found ... 4.0.1a is ok
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-09 22:37 EST by jens.koerber
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-06 15:58:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jens.koerber 2001-01-09 22:37:15 EST
kernel-2.2.18, glibc-2.2-9, gcc-2.95.2-15

--------------------------------------------------------------------------
XFree86 Version 4.0.2 / X Window System
(protocol Version 11, revision 0, vendor release 6400)
Release Date: 18 December 2000
	If the server is older than 6-12 months, or if your card is
	newer than the above date, look for a newer version before
	reporting problems.  (See http://www.XFree86.Org/FAQ)
Operating System: Linux 2.2.18-0 i686 [ELF] 
Module Loader present
(==) Log file: "/var/log/XFree86.0.log", Time: Fri Jan  5 22:08:31 2001
(==) Using config file: "/etc/X11/XF86Config-4"
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (??) unknown.
(==) ServerLayout "XFree86 Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "MACOM"
(**) |   |-->Device "ATI|Rage 128 RF"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) XKB: model: "pc101"
(**) XKB: layout: "de"
(**) FontPath set to "/usr/X11R6/lib/X11/fonts/75dpi,....
RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(--) using VT number 7

(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 0.1.0
(II) Loading /usr/X11R6/lib/modules/libscanpci.a
(II) Module scanpci: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 0.1.0
(II) Unloading /usr/X11R6/lib/modules/libscanpci.a
(--) PCI:*(1:0:0) ATI Rage 128 RF rev 0, Mem @ 0xe4000000/26,
0xe9000000/14, I/O @ 0xd000/8
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libpex5.a
(II) Module pex5: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/librecord.a
(II) Module record: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 1.13.0
(II) Loading /usr/X11R6/lib/modules/extensions/libxie.a
(II) Module xie: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/drivers/linux/v4l_drv.o
(II) Module v4l: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 0.0.1
(II) Loading /usr/X11R6/lib/modules/drivers/r128_drv.o
(II) Module r128: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 4.0.1
(II) Loading /usr/X11R6/lib/modules/drivers/ati_drv.o
(II) Module ati: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 6.2.3
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 1.0.0
(II) v4l driver for Video4Linux
(II) ATI: ATI driver (version 6.2.3) for chipsets: ati, ativga
(II) R128: Driver for ATI Rage 128 chipsets: ATI Rage 128 RE (PCI),
	ATI Rage 128 RF (AGP), ATI Rage 128 RG (AGP), ATI Rage 128 RK (PCI),
	ATI Rage 128 RL (AGP), ATI Rage 128 Pro PF (AGP),
	ATI Rage 128 Mobility LE (PCI), ATI Rage 128 Mobility LF (AGP),
	ATI Rage 128 Mobility MF (AGP), ATI Rage 128 Mobility ML (AGP)
(II) RADEON: Driver for ATI Radeon chipsets: ATI Radeon QD (AGP),
	ATI Radeon QE (AGP), ATI Radeon QF (AGP), ATI Radeon QG (AGP)
(--) Assigning device section with no busID to primary device
(--) Chipset ATI Rage 128 RF (AGP) found
(II) Loading /usr/X11R6/lib/modules/libvgahw.a
(II) Module vgahw: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 0.1.0
(II) R128(0): PCI bus 1 card 0 func 0
(**) R128(0): Depth 24, (--) framebuffer bpp 32
(II) R128(0): Pixel depth = 24 bits stored in 4 bytes (32 bpp pixmaps)
(==) R128(0): Default visual is TrueColor
(==) R128(0): RGB weight 888
(II) R128(0): Using 8 bits per RGB (8 bit DAC)
(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
(II) Module int10: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 1.0.0
(II) R128(0): initializing int10
(II) R128(0): Primary V_BIOS segment is: 0xc000
(--) R128(0): Chipset: "ATI Rage 128 RF (AGP)" (ChipID = 0x5246)
(--) R128(0): Linear framebuffer at 0xe4000000
(--) R128(0): MMIO registers at 0xe9000000
(--) R128(0): BIOS at 0xe8000000
(II) R128(0): Video RAM override, using 16384 kB instead of 16384 kB
(**) R128(0): VideoRAM: 16384 kByte (128-bit SDR SGRAM 1:1)
(II) R128(0): PLL parameters: rf=2950 rd=65 min=12500 max=25000; xclk=9000
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/libvbe.a
(II) Module vbe: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 1.0.0
(II) R128(0): initializing int10
(II) R128(0): Primary V_BIOS segment is: 0xc000
(EE) R128(0): unknown reason for exception
X86_AX:4f00 X86_BX:0000 X86_CX:0000 X86_DX:0000 
X86_IP:ffff X86_SI:0000 X86_DI:1000 X86_BP:0000 X86_SP:00fa 
X86_CS:024f X86_SS:0030 X86_ES:0000 X86_DS:0040 X86_FS:0000 X86_GS:0000 
X86_EFLAGS:00033282 
stack at 0x000003fa:
00 00 60 00 00 32 f8 03 f8 02 00 00 00 00 78 03 
code at 0x000124ef: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
                    00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 
(EE) R128(0): cannot continue
(II) Unloading /usr/X11R6/lib/modules/libvbe.a
(II) Unloading /usr/X11R6/lib/modules/libddc.a
(II) Unloading /usr/X11R6/lib/modules/linux/libint10.a
(II) Unloading /usr/X11R6/lib/modules/libvgahw.a
(EE) Screen(s) found, but none have a usable configuration.

Fatal server error:
no screens found

When reporting a problem related to a server crash, please send
the full server output, not just the last messages.
This can be found in the log file "/var/log/XFree86.0.log".
Please report problems to xfree86@xfree86.org.

X connection to :0.0 broken (explicit kill or server shutdown).

--------------------------------------------------------------------------
XFree86 Version 4.0.1a / X Window System
(protocol Version 11, revision 0, vendor release 6400)
Release Date: 2 August 2000
	If the server is older than 6-12 months, or if your card is newer
	than the above date, look for a newer version before reporting
	problems.  (see http://www.XFree86.Org/FAQ)
Operating System: Linux 2.2.18-0 i686 [ELF] 
Module Loader present
(==) Log file: "/var/log/XFree86.0.log", Time: Fri Jan  5 22:12:03 2001
(==) Using config file: "/etc/X11/XF86Config-4"
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (??) unknown.
(==) ServerLayout "XFree86 Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "MACOM"
(**) |   |-->Device "ATI|Rage 128 RF"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) XKB: model: "pc101"
(**) XKB: layout: "de"
(**) FontPath set to "/usr/X11R6/lib/X11/fonts/75dpi,.....
(==) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(--) using VT number 7

(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
	compiled for 4.0.1a, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
	compiled for 4.0.1a, module version = 0.1.0
(II) Loading /usr/X11R6/lib/modules/libscanpci.a
(II) Module scanpci: vendor="The XFree86 Project"
	compiled for 4.0.1a, module version = 0.1.0
(II) Unloading /usr/X11R6/lib/modules/libscanpci.a
(--) PCI:*(1:0:0) ATI Rage 128 RF rev 0, Mem @ 0xe4000000/26,
0xe9000000/14, I/O @ 0xd000/8
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
	compiled for 4.0.1a, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
	compiled for 4.0.1a, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
	compiled for 4.0.1a, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
	compiled for 4.0.1a, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
	compiled for 4.0.1a, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
	compiled for 4.0.1a, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libpex5.a
(II) Module pex5: vendor="The XFree86 Project"
	compiled for 4.0.1a, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/librecord.a
(II) Module record: vendor="The XFree86 Project"
	compiled for 4.0.1a, module version = 1.13.0
(II) Loading /usr/X11R6/lib/modules/extensions/libxie.a
(II) Module xie: vendor="The XFree86 Project"
	compiled for 4.0.1a, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/drivers/linux/v4l_drv.o
(II) Module v4l: vendor="The XFree86 Project"
	compiled for 4.0.1a, module version = 0.0.1
(II) Loading /usr/X11R6/lib/modules/drivers/r128_drv.o
(II) Module r128: vendor="The XFree86 Project"
	compiled for 4.0.1a, module version = 3.1.1
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
	compiled for 4.0.1a, module version = 1.0.0
(II) v4l driver for Video4Linux
(II) r128: Driver for ATI Rage 128 chipset: ATI Rage 128 RE (PCI),
	ATI Rage 128 RF (AGP), ATI Rage 128 RK (PCI), ATI Rage 128 RL (AGP),
	ATI Rage 128 Pro PF (AGP), ATI Rage 128 Mobility LE (PCI),
	ATI Rage 128 Mobility LF (AGP), ATI Rage 128 Mobility MF (AGP),
	ATI Rage 128 Mobility ML (AGP)
(--) Assigning device section with no busID to primary device
(--) Chipset ATI Rage 128 RF (AGP) found
(II) Loading /usr/X11R6/lib/modules/libvgahw.a
(II) Module vgahw: vendor="The XFree86 Project"
	compiled for 4.0.1a, module version = 0.1.0
(II) r128(0): PCI bus 1 card 0 func 0
(**) r128(0): Depth 24, (--) framebuffer bpp 32
(II) r128(0): Pixel depth = 24 bits stored in 4 bytes (32 bpp pixmaps)
(==) r128(0): Default visual is TrueColor
(==) r128(0): RGB weight 888
(II) r128(0): Using 8 bits per RGB (8 bit DAC)
(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
(II) Module int10: vendor="The XFree86 Project"
	compiled for 4.0.1a, module version = 1.0.0
(II) r128(0): initializing int10
(II) r128(0): Primary V_BIOS segment is: 0xf000
(--) r128(0): Chipset: "ATI Rage 128 RF (AGP)" (ChipID = 0x5246)
(--) r128(0): Linear framebuffer at 0xe4000000
(--) r128(0): MMIO registers at 0xe9000000
(--) r128(0): BIOS at 0xe8000000
(II) r128(0): Video RAM override, using 16384 kB instead of 16384 kB
(**) r128(0): VideoRAM: 16384 kByte (128-bit SDR SGRAM 1:1)
(II) r128(0): PLL parameters: rf=2950 rd=65 min=12500 max=25000; xclk=9000
(==) r128(0): Using gamma correction (1.0, 1.0, 1.0)
(II) r128(0): MACOM: Using hsync range of  30.00- 96.00 kHz
(II) r128(0): MACOM: Using vrefresh range of  50.00-150.00 Hz
(II) r128(0): Clock range:  12.50 to 250.00 MHz
(WW) r128(0): Mode "1600x1200" deleted (hsync out of range)
(WW) r128(0): Mode "1792x1344" deleted (bad mode
clock/interlace/doublescan)
(WW) r128(0): Mode "1856x1392" deleted (bad mode
clock/interlace/doublescan)
(WW) r128(0): Mode "1920x1440" deleted (bad mode
clock/interlace/doublescan)
(--) r128(0): Virtual size is 1152x864 (pitch 1152)
(**) r128(0): Default mode "1152x864": 108.0 MHz, 67.5 kHz, 75.0 Hz
(==) r128(0): DPI set to (75, 75)
(II) Loading /usr/X11R6/lib/modules/libfb.a
(II) Module fb: vendor="The XFree86 Project"
	compiled for 4.0.1a, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/libramdac.a
(II) Module ramdac: vendor="The XFree86 Project"
	compiled for 4.0.1a, module version = 0.1.0
(II) Loading /usr/X11R6/lib/modules/libxaa.a
(II) Module xaa: vendor="The XFree86 Project"
	compiled for 4.0.1a, module version = 1.0.0
(--) Depth 24 pixmap format is 32 bpp
(==) r128(0): Write-combining range (0xe4000000,0x1000000)
(0): [drm] created "r128" driver at busid "PCI:1:0:0"
(0): [drm] added 4096 byte SAREA at 0xd2e6b000
(0): [drm] mapped SAREA 0xd2e6b000 to 0x40016000
(0): [drm] framebuffer handle = 0xe4000000
(0): [drm] added 1 reserved context for kernel
(II) r128(0): [agp] Mode 0x07000203 [AGP 0x1106/0x0691; Card 0x1002/0x5246]
(II) r128(0): [agp] 8192 kB allocated with handle 0xd48c9000
(II) r128(0): [agp] ring handle = 0xe0000000
(II) r128(0): [agp] Ring mapped at 0x4120d000
(II) r128(0): [agp] ring read ptr handle = 0xe0101000
(II) r128(0): [agp] Ring read ptr mapped at 0x40017000
(II) r128(0): [agp] vertex buffers handle = 0xe0102000
(II) r128(0): [agp] Vertex buffers mapped at 0x4130e000
(II) r128(0): [agp] indirect buffers handle = 0xe0202000
(II) r128(0): [agp] Indirect buffers mapped at 0x4140e000
(II) r128(0): [agp] AGP texture map handle = 0xe0302000
(II) r128(0): [agp] AGP Texture map mapped at 0x4150e000
(II) r128(0): [drm] register handle = 0xe9000000
(II) r128(0): [drm] Added 64 16384 byte vertex buffers
(II) r128(0): [drm] Mapped 64 vertex buffers
(II) r128(0): Visual configs initialized
(II) r128(0): Memory manager initialized to (0,0) (1152,3640)
(II) r128(0): Reserved area from (0,864) to (1152,866)
(II) r128(0): Largest offscreen area available: 1152 x 2774
(II) r128(0): CCE in BM mode
(II) r128(0): Using 8 MB AGP aperture
(II) r128(0): Using 1 MB for the ring buffer
(II) r128(0): Using 1 MB for vertex buffers
(II) r128(0): Using 1 MB for indirect buffers
(II) r128(0): Using 5 MB for AGP textures
(II) r128(0): Using 16384 byte vertex buffers
(II) r128(0): Reserved back buffer from (0,866) to (1152,1730)
(II) r128(0): Reserved depth buffer from (0,1730) to (1152,2594)
(EE) r128(0): Unable to reserve texture space in frame buffer
(==) r128(0): Backing store disabled
(II) r128(0): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	8x8 mono pattern filled rectangles
	Indirect CPU to Screen color expansion
	Solid Lines
	Dashed Lines
	Offscreen Pixmaps
	Setting up tile and stipple cache:
		32 128x128 slots
		10 256x256 slots
(II) r128(0): Acceleration enabled
(II) r128(0): Using hardware cursor (scanline 10376)
(II) r128(0): Largest offscreen area available: 1152 x 1044
(**) r128(0): DPMS enabled
(II) r128(0): 0xe9000000 524288
(0): X context handle = 0x00000001
(0): [drm] installed DRM signal handler
(0): [DRI] installation complete
(II) r128(0): Direct rendering enabled
(**) Mouse0: Protocol: "NetMousePS/2"
(**) Mouse0: Core Pointer
(==) Mouse0: Buttons: 3
(**) Mouse0: ZAxisMapping: buttons 4 and 5
(II) Keyboard "Keyboard0" handled by legacy driver
.
.
.
Comment 1 Mike A. Harris 2001-03-06 12:16:35 EST
Unreproduceable.  Also, we never released a 2.2.18 kernel so you're using
an unsupported configuration.  Also, you mentioned gcc-2.95 which is not
our current compiler, so if you build X from scratch, that is also not
supported.

Please try my latest Rawhide RPM packages if you have problems.  For what it's
worth, I am using a 2.2.18 kernel myself and an r128 card (several actually)
and it works flawlessly now.  If you want DRI though, you need to use
our latest full beta release (Wolverine) plus the latest kernel RPM from
rawhide.
Comment 2 jens.koerber 2001-03-06 19:07:45 EST
Reproduceable by booting via loadlin and bootGUI=1 in 
msdos.sys <--- probably not supported ;-)

Fixed with bootGUI=0 ... 

ATI 128RF is stable with XFree86-4.0.2-9 + Gareth's patch. Not one 
freeze so far ... :-) 



Note You need to log in before you can comment on or make changes to this bug.